.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    color: $dark;
    flex-grow: 1;
    padding: rem(40) 0;
    background: #FAFAFA;
}

.color-blue {
    color: $blue;
}

.main-heading {
    font-size: 32px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 24px;
    font-family: $font-family-secondary;

    @include media-breakpoint-up(md) {
        font-size: 40px;
    }
}

.participant {
    color: $dark;
    min-width: 270px;
    padding: 10px 16px;
    border-radius: 4px;
    display: inline-block;
    border: 2px solid $light-blue;

    &__user {
        margin-bottom: 9px;
        display: flex;
        align-items: center;
    }

    &__photo {
        width: 60px;
        height: 60px;
        overflow: hidden;
        border-radius: 50%;
        flex-shrink: 0;
    }

    &__name {
        font-weight: 300;
        font-size: 18px;
        line-height: 22px;
        padding-left: 20px;
    }

    &__info {

        &:not(:last-child) {
            margin-bottom: 3px;
        }
    }
}

.lc-header {
    padding-bottom: 20px;

    &__item {
        margin-bottom: 20px;
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
}

.lc-time {
    display: flex;
    align-items: center;

    &__icon {
        width: 41px;
        flex-shrink: 0;
        margin-right: 18px;
    }

    &__main {
        display: flex;
        align-items: center;
        height: 58px;
        padding: 8px 24px;
        font-weight: 700;
        font-size: 24px;
        line-height: 24px;
        background: $white;
        border: 2px solid $light-blue;
        border-radius: 8px;
    }

    &__item {
        display: inline-block;
        background: linear-gradient(142.31deg, #FFB300 14.84%, #FF8934 85.62%);
        color: transparent;
        background-clip: text;
        -webkit-background-clip: text;

        &:not(:last-child) {

            &:after {
                content: ':';
                padding: 0 2px;
                color: $light-blue;
            }
        }
    }
}

.lc-personal {

    &__title {
        font-size: 20px;
        font-weight: 700;
        line-height: 24px;
        margin-bottom: 16px;
    }

    &__tests {
        display: grid;
        grid-template-columns: 1fr;
        grid-row-gap: 40px;
        padding-top: 40px;
        margin-bottom: 80px;
    }

    &__date {
        color: $blue;
        white-space: nowrap;
        text-align: center;
        font-size: 30px;
        font-weight: 700;
        line-height: 1.2;
    }

    @include media-breakpoint-up(lg) {

        &__tests {
            width: 760px;
            margin: 0 auto 80px auto;
            grid-row-gap: 40px;
            grid-column-gap: 60px;
            grid-template-columns: 1fr 1fr;
        }

        &__date {
            font-size: 64px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__tests {
            margin-bottom: 100px;
        }
    }
}

.test-item {
    color: $blue;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    position: relative;
    text-align: center;
    text-decoration: none;
    padding-top: 90px;

    &__media {
        z-index: 20;
        left: 0;
        right: 0;
        top: 0;
        position: absolute;
    }

    &__image {
        width: 178px;
        display: block;
        margin: 0 auto;

    }

    &__main {
        position: relative;
        padding: 96px 20px 30px 20px;

        &:before {
            left: 20px;
            bottom: 30px;
            content: '';
            width: 57px;
            height: 38px;
            z-index: 20;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: url("../img/double_check.svg") 50% 50% no-repeat;
        }
    }

    &__text {
        z-index: 50;
        max-width: 220px;
        position: relative;
        margin: 0 auto;
    }

    &__border {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        border-radius: 8px;
        position: absolute;
        background: $light-blue;

        &:before {
            top: 2px;
            left: 2px;
            right: 2px;
            bottom: 2px;
            content: '';
            z-index: 5;
            border-radius: 6px;
            position: absolute;
            background: $white;
        }

        &:after {
            top: 0;
            left: 48px;
            right: 48px;
            height: 10px;
            content: '';
            z-index: 5;
            position: absolute;
            background: $white;
        }
    }

    &.active {

        .test-item {

            &__border {
                top: -10px;
                background: #FFB300;
                background: linear-gradient(142.31deg, #FFB300 14.84%, #FF8934 85.62%);

                &:before {
                    top: 10px;
                    left: 10px;
                    right: 10px;
                    bottom: 10px;
                }
            }

            &__main {

                &:before {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }
}

.lc-total {
    display: flex;
    font-size: 20px;
    font-weight: 700;
    line-height: 24px;
    align-items: center;
    justify-content: center;
    margin-bottom: 25px;

    &__value {
        font-size: 50px;
        line-height: 50px;
        background: linear-gradient(142.31deg, #FFB300 14.84%, #FF8934 85.62%);
        color: transparent;
        background-clip: text;
        -webkit-background-clip: text;
    }

    &__label {
        padding-top: 5px;
        padding-left: 5px;
    }
}

.lc-main {

    @include media-breakpoint-up(lg) {
        border-radius: 8px;
        background: $white;
        padding: 30px 60px;
    }

    @include media-breakpoint-up(xl) {
        padding: 30px 100px;
    }
}

.lc-footer {
    text-align: center;
    padding-top: 5px;
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
